from django.urls import path, include, re_path
from django.contrib import admin
from django.conf import settings
from django.conf.urls.static import static
from django.contrib.auth import views as auth_views

#Import stuff define in views
from .views import PasswordsChangeView
from . import views


#Need to create initial views

#app_name = "erp"
urlpatterns = [
     # Root path
    path("", views.inicio, name="inicio"),
    
    #Navbar URL    
    path('inicio/',views.inicio,name='inicio'),
    path('alugar/',views.alugar,name='alugar'),
    path('comprar/',views.comprar,name='comprar'),
    path('login/',views.login_area,name='login'),
    path('login2/',views.login2,name='login2'),
    path('accounts/login/',views.login_area,name='login'),
    path('logout/',views.logout_area,name='logout'),
    path('criar-conta/',views.criar_conta,name='criar_conta'),
    path('criar-conta_passo2/',views.criar_conta_passo2,name='criar_conta_passo2'),
    path('update-profile', views.update_profile, name='update_profile'),
    path('duvidas/',views.duvidas,name='duvidas'),
    path('perfil/<str:user_key>',views.perfil,name='perfil'),
    path('change-password/', PasswordsChangeView.as_view(), name='change_password'),
    
    #Main view do jogo
    path('jogo/<int:pk>',views.jogo,name='jogo'),
    
    #Cart URLs:
    path('carrinho-add/<int:product_id>/', views.add_to_cart, name='add_to_cart'),
    path('carrinho-remove/<int:cart_item_id>/', views.remove_from_cart, name='remove_from_cart'),
    path('carrinho', views.cart_detail, name='cart_detail'),   
    
    #Completar pedido
    path('pedido-add/<int:product_id>/', views.add_to_pedido, name='add_to_pedido'),
    path('pedido-remove/<int:cart_item_id>/', views.remove_from_pedido, name='remove_from_pedido'),
    path('completar-pedido/', views.complete_order, name='complete_order'),
    path('calcular-frete/', views.calcular_frete, name='calcular_frete'),
    path('pedido-finalizado', views.pedido_finalizado, name = 'pedido_finalizado'),
    path('retorno-bancario', views.retorno_bancario, name = 'retorno_bancario'),
    
    #reports views
    path('reports/', views.reports, name='reports'),
    path('lista-retornos/', views.retornos, name='retornos'),
    path('lista-entregas/', views.entregas, name='entregas'),
    path('lista-atrasados/', views.atrasados, name='atrasados'),
    path('lista-indisponiveis/', views.indisponiveis, name='indisponiveis'),
    
    #Tools (Mass Import, Upload Carrossel)
    path('ferramentas/', views.ferramentas, name='ferramentas'),
    path('mass-import/', views.mass_import, name='mass_import'),
    path('carrossel-images/', views.carrossel_images, name='carrossel_images'),
]

#This will allow to serve the images from the SQLite3 links in the tables
if settings.DEBUG:
    urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
